The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of Xen: denial of service via GNTTABOP_copy

Synthesis of the vulnerability 

An attacker, inside a guest system, can trigger a fatal error via GNTTABOP_copy() of Xen, in order to trigger a denial of service on the host system.
Vulnerable software: XenServer, Debian, Fedora, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Xen.
Severity of this announce: 1/4.
Creation date: 14/04/2020.
Références of this computer vulnerability: CERTFR-2020-AVI-205, CERTFR-2020-AVI-213, CTX270837, CVE-2020-11742, DSA-4723-1, FEDORA-2020-295ed0b1e0, FEDORA-2020-cbc3149753, openSUSE-SU-2020:0599-1, SUSE-SU-2020:1124-1, SUSE-SU-2020:1138-1, SUSE-SU-2020:1139-1, SUSE-SU-2020:1630-1, SUSE-SU-2020:1634-1, VIGILANCE-VUL-32011, XSA-318.

Description of the vulnerability 

An attacker, inside a guest system, can trigger a fatal error via GNTTABOP_copy() of Xen, in order to trigger a denial of service on the host system.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This vulnerability impacts software or systems such as XenServer, Debian, Fedora, openSUSE Leap, SUSE Linux Enterprise Desktop, SLES, Xen.

Our Vigil@nce team determined that the severity of this security announce is low.

The trust level is of type confirmed by the editor, with an origin of user shell.

An attacker with a expert ability can exploit this computer vulnerability note.

Solutions for this threat 

Xen: patch for GNTTABOP_copy.
A patch is available:
  http://xenbits.xen.org/xsa/xsa318.patch

Citrix XenServer/Hypervisor: patch.
A patch is available:
  Citrix Hypervisor 8.1: CTX270795 https://support.citrix.com/article/CTX270795
  Citrix Hypervisor 8.0: CTX270794 https://support.citrix.com/article/CTX270794
  Citrix XenServer 7.1 LTSR CU2: CTX270793 https://support.citrix.com/article/CTX270793
  Citrix XenServer 7.0: CTX270792 https://support.citrix.com/article/CTX270792

Debian 10: new xen packages.
New packages are available:
  Debian 10: xen 4.11.4+24-gddaaccbbab-1~deb10u1

Fedora 30-31: new xen packages.
New packages are available:
  Fedora 30: xen 4.11.4-1.fc30
  Fedora 31: xen 4.12.2-3.fc31

openSUSE Leap 15.1: new xen packages.
New packages are available:
  openSUSE Leap 15.1: xen 4.12.2_04-lp151.2.15.1

SUSE LE 12 SP3: new xen packages (17/06/2020).
New packages are available:
  SUSE LE 12 SP3: xen 4.9.4_06-3.62.1

SUSE LE 12 SP4, SP5: new xen packages.
New packages are available:
  SUSE LE 12 SP4: xen 4.11.3_04-2.23.1
  SUSE LE 12 SP5: xen 4.12.2_04-3.11.1

SUSE LE 15 RTM: new xen packages.
New packages are available:
  SUSE LE 15 RTM: xen 4.10.4_10-3.31.1

SUSE LE 15 SP1: new xen packages.
New packages are available:
  SUSE LE 15 SP1: xen 4.12.2_04-3.15.1
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a computer vulnerability workaround. The technology watch team tracks security threats targeting the computer system.